%define fedora 19
%global pkg spice-mode
%global pkgname Emacs-spice-mode

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 21.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:		emacs-%{pkg}
Version:	1.2.25
Release:	alt1_11
Summary:	SPICE Mode for GNU Emacs

Group:		Editors
License:	GPLv2+
URL:		http://spice-mode.4t.com/
Source0:	http://spice-mode.4t.com/spice-mode-1.2.25.tar.gz
Source1:	%{pkg}-init.el
#Patch provided by shakthi kannan - shakthimaan AT gmail dot com and chitlesh goorah - chitlesh AT gmail dot com
#Fixes free variables and backquote,adds nguntmeg to simulators list and minor fixes
Patch0:		emacs-spice-mode-fix.patch

BuildArch:	noarch
ExcludeArch:	ppc64
BuildRequires:	emacs emacs-el
Requires:	emacs >= %{emacs_version} gnucap
# package gwave is no longer available in F15 
# gwave was reviewed and reintroduced from F16
%if 0%{?fedora} < 15
Requires:	gwave
%endif
Source44: import.info

%description
This package provides an Emacs major mode for editing SPICE decks.

%package el
Summary:	Source files for %{pkgname} under GNU Emacs
Group:		Editors
Requires:	%{name} = %{version}-%{release}

%description el
This package contains the elisp source files for 
use with %{pkgname}.

%prep
%setup -q -n %{pkg}
%patch0 -p2

%build
emacs -batch -f batch-byte-compile %{pkg}.el

%install
%{__install} -pm 755 -d %{buildroot}%{emacs_lispdir}/%{pkg}/
%{__install} -pm 755 -d %{buildroot}%{emacs_startdir}	
%{__install} -pm 644 %{pkg}.* %{buildroot}%{emacs_lispdir}/%{pkg}/
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{emacs_startdir}

%files
%doc AUTHORS BUGS Changes COPYING README test_netlist.cir
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/%{pkg}-init.el
%dir %{emacs_lispdir}/%{pkg}
%dir %{emacs_startdir}

%files el
%{emacs_lispdir}/%{pkg}/*.el

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_11
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.25-alt1_10
- fc import

